
CN Index - Story #6738

Upgrade solr product to newest version

2015-01-06 21:38 - Skye Roseboom

Status: Closed Start date: 2015-01-06

Priority: Normal Due date: 2015-01-12

Assignee: Skye Roseboom % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

Current release version is 4.10.3

High level story to capture work needed to move CN stack to new version of solr.

Requires new buildout.  Effects search index and log aggregation.

Related issues:

Duplicates CN Index - Task #3761: Upgrade solr to 4.x line Rejected 2013-05-14

Associated revisions

Revision 15177 - 2015-02-06 23:50 - Skye Roseboom

upgrading cn-index-processor project to solr 4.10.3, refs #6738

Revision 15177 - 2015-02-06 23:50 - Skye Roseboom

upgrading cn-index-processor project to solr 4.10.3, refs #6738

Revision 15178 - 2015-02-06 23:54 - Skye Roseboom

updating dataone-cn-solr to deploy search and log cores for solr4, refs #6738

Revision 15178 - 2015-02-06 23:54 - Skye Roseboom

updating dataone-cn-solr to deploy search and log cores for solr4, refs #6738

Revision 15179 - 2015-02-06 23:54 - Skye Roseboom

updating solr-jetty bridge to reference solr war file where its deployed by solr, refs #6738

Revision 15179 - 2015-02-06 23:54 - Skye Roseboom

updating solr-jetty bridge to reference solr war file where its deployed by solr, refs #6738

Revision 15180 - 2015-02-06 23:56 - Skye Roseboom

updating datone-solr deployment to contain a core template example, refs #6738

Revision 15180 - 2015-02-06 23:56 - Skye Roseboom

updating datone-solr deployment to contain a core template example, refs #6738

Revision 15181 - 2015-02-07 00:34 - Skye Roseboom

only deploy solr4.properties if solr 4 is install on local machine - otherwise solr 3 will be used, refs #6738

Revision 15181 - 2015-02-07 00:34 - Skye Roseboom

only deploy solr4.properties if solr 4 is install on local machine - otherwise solr 3 will be used, refs #6738
Revision 15182 - 2015-02-07 00:52 - Skye Roseboom

need to define SOLR4_INSTALL_DIR, refs #6738

Revision 15182 - 2015-02-07 00:52 - Skye Roseboom

need to define SOLR4_INSTALL_DIR, refs #6738

History

#1 - 2015-01-12 17:04 - Skye Roseboom

- Due date changed from 2015-01-06 to 2015-01-12

- Status changed from New to In Progress

#2 - 2015-01-20 19:01 - Skye Roseboom

- Duplicates Task #3761: Upgrade solr to 4.x line added

#3 - 2015-02-03 17:52 - Skye Roseboom

- % Done changed from 0 to 30

#4 - 2015-02-03 17:52 - Skye Roseboom

- Project changed from Infrastructure to CN Index

#5 - 2015-02-03 17:52 - Skye Roseboom

- Target version deleted (CCI-2.0.0)

- translation missing: en.field_release set to 2

#6 - 2015-02-03 17:58 - Skye Roseboom

- Status changed from In Progress to Rejected

dupe of 6738

#7 - 2015-02-03 18:23 - Skye Roseboom

- Status changed from Rejected to In Progress

Accidental reject of this issue.  Still in progress

#8 - 2015-05-14 23:17 - Skye Roseboom

Solr 5.1.0 has been released and should be targeted

#9 - 2015-06-30 15:34 - Skye Roseboom

- Target version set to CCI-2.0-RC1

#10 - 2015-07-01 16:19 - Dave Vieglais

- Target version changed from CCI-2.0-RC1 to CCI-2.0.0

#11 - 2015-09-22 16:21 - Skye Roseboom

- % Done changed from 30 to 100

- Status changed from In Progress to Closed

Upgraded solr to 5.2.1.

Upgraded dataone-zookeeper, dataone-solr, dataone-cn-solr, dataone-cn-index, dataone-processdaemon to use new solr5.
Solr 5 runs in cloud mode with replication factor set to 2 and shards set to 1 so that entire copy of solr index is maintained on all 3 CN by solr.
